﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows.Forms;

namespace Components
{
    public partial class Form1 : Form
    {
        public Form1()
        {
            InitializeComponent();
            treeView1.ShowNodeToolTips = true;
            // display (treeView1.Nodes, this);
            propertyGrid1.SelectedObject = new MyObject ();
        }

        private void display (TreeNodeCollection branch, Control obj)
        {
            TreeNode node = new TreeNode ();
            node.Text = obj.Name + " : " + obj.GetType().Name;
            node.ToolTipText = obj.ToString ();
            node.Tag = obj;
            branch.Add (node);

            foreach (Control c in obj.Controls)
                display(node.Nodes, c);
        }

        private void quitToolStripMenuItem_Click(object sender, EventArgs e)
        {
            Close ();
        }

        private void treeView1_AfterSelect(object sender, TreeViewEventArgs e)
        {
            Control obj = (Control) e.Node.Tag;
            // obj.BackColor = Color.LightGreen;
            propertyGrid1.SelectedObject = obj;
        }
    }
}
